.build:
  stage: build
  extends:
  - .packer
  script:
    - packer build -force packer.json

.dev-default:
  variables:
    VERSION: dev-mr-${CI_MERGE_REQUEST_IID}

.dev:
  extends:
  - .build
  - .dev-default
  - .rules:merge-requests-only:docs-skip
  environment:
    name: dev/gcp/${WINDOWS_VERSION}/${CI_COMMIT_REF_SLUG}

.dev stop:
  extends:
  - .build
  - .dev-default
  - .rules:merge-requests-only:manual:docs-skip
  image: google/cloud-sdk
  variables:
    GIT_STRATEGY: none
  script:
  - gcloud config set project "${GOOGLE_PROJECT_ID}"
  - gcloud compute images delete "runners-windows-$WINDOWS_VERSION-core-containers-$VERSION"
  environment:
    name: dev/gcp/${WINDOWS_VERSION}/${CI_COMMIT_REF_SLUG}
    action: stop

dev 2019:
  extends:
  - .dev
  - .windows 2019
  environment:
    on_stop: dev stop 2019

dev stop 2019:
  extends:
  - .dev stop
  - .windows 2019

dev 2022:
  extends:
  - .dev
  - .windows 2022
  environment:
    on_stop: dev stop 2022

dev stop 2022:
  extends:
  - .dev stop
  - .windows 2022

.beta:
  extends:
  - .build
  - .rules:default-branch:docs-skip
  variables:
    VERSION: beta
  environment:
    name: beta/gcp/${WINDOWS_VERSION}

beta 2019:
  extends:
  - .beta
  - .windows 2019

beta 2022:
  extends:
  - .beta
  - .windows 2022
